summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Rodney Cobb <rdc@ktabic.co.uk>2010-05-11 20:02:09 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:02:09 +0200
commit0d5f6f3883467a2dd53d107b6380e9d32eebe7dc (patch)
tree1d8f94414b5966a2fbb7426a2e61f83d68843cd9
parent9fda8a74348d661d8a4c2effa26c0ab458ba3fca (diff)
downloadslackbuilds-0d5f6f3883467a2dd53d107b6380e9d32eebe7dc.tar.gz
slackbuilds-0d5f6f3883467a2dd53d107b6380e9d32eebe7dc.tar.xz
system/treesize: Added to 12.0 repository
-rw-r--r--system/treesize/README11
-rw-r--r--system/treesize/slack-desc19
-rw-r--r--system/treesize/treesize.SlackBuild79
-rw-r--r--system/treesize/treesize.info8
4 files changed, 117 insertions, 0 deletions
diff --git a/system/treesize/README b/system/treesize/README
new file mode 100644
index 0000000000..d7e7fdc484
--- /dev/null
+++ b/system/treesize/README
@@ -0,0 +1,11 @@
+Treesize for UNIX
+
+A disk consumption analyzing tool, which sorts folders according
+to theier physical occupied sizes. The perfect tool to help you
+obtaining more disk free space, on your harddrive, usb pen drive
+or even on network folders. ( provided that they are mounted and
+you have access to them, of course. )
+
+Just like du, it counts hard links just once and the space utilized
+by diferent filesystems are not added together.
+
diff --git a/system/treesize/slack-desc b/system/treesize/slack-desc
new file mode 100644
index 0000000000..705a12c4f3
--- /dev/null
+++ b/system/treesize/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package treesize, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+treesize: Treesize for UNIX
+treesize:
+treesize: A disk consumption analyzing tool, which sorts folders according to
+treesize: their physical occupied sizes. The perfect tool to help you obtaining
+treesize: more disk free space, on your harddrive, usb pen drive or even on
+treesize: network folders (provided that they are mounted and you have access
+treesize: to them, of course )
+treesize:
+treesize: Just like du, it counts hard links just once and the space utilized
+treesize: by diferent filesystems are not added together.
+treesize:
diff --git a/system/treesize/treesize.SlackBuild b/system/treesize/treesize.SlackBuild
new file mode 100644
index 0000000000..7502cfdb7d
--- /dev/null
+++ b/system/treesize/treesize.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Copyright 2007 by ktabic (rdc@ktabic.co.uk)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+
+# Modified by the SlackBuilds.org Project
+
+PRGNAM=treesize
+VERSION=0.53
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog AUTHORS COPYING INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/treesize/treesize.info b/system/treesize/treesize.info
new file mode 100644
index 0000000000..ceb2f3d4c3
--- /dev/null
+++ b/system/treesize/treesize.info
@@ -0,0 +1,8 @@
+PRGNAM="treesize"
+VERSION="0.53"
+HOMEPAGE="http://treesize.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/treesize/treesize-0.53.tar.bz2"
+MD5SUM="df870d3154306ce7f7ad3e4969b3132a"
+MAINTAINER="Rodney Cobb"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="David Somero"